% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pairedCounts.R
\name{pairedCounts}
\alias{pairedCounts}
\title{Differential expression for counts using ordered weighted averages}
\usage{
pairedCounts(x, y, orness = 0.5, test, method = c("dbinom", "fuller"),
  is.decreasing = FALSE)
}
\arguments{
\item{x}{Matrix expression}

\item{y}{Design matrix (nrow(y) == ncol(x)). First column \code{y[,1]} 
is the block and second column \code{y[,2]} is the element within the block
with values 0 (control) and 1 (case)}

\item{orness}{The orness for OWA aggregation}

\item{test}{Function to calculate the statistics per pairs}

\item{method}{Aggregation method}

\item{is.decreasing}{The values to aggregated should decreasing ordered}
}
\value{
A list with the aggregated p-values: result["dbinom"] and 
result["fuller"]
}
\description{
The data consists of case-control pairs.  The pair of counts per pair and
gene are compared by testing if the proportion of cases is equal to the 
proportion of the sample using the sizes of library
(\link[edgeR]{binomTest}).
It is assumed given (constant) the total count per pair and gene.
These p-values are aggregated using OWA for a given orness. The 
weights of the OWA are calculated using the probability function of 
a binomial distribution.
}
\seealso{
\link[OMICfpp]{owa.weights}
}
\author{
Guillermo Ayala and Alberto Berral
}
